#include "stdafx.h"
#include "pteElement.h"

pteElement::pteElement()
{
};

pteElement::~pteElement()
{
};

/* ******************************** */
/* Element SET methods              */
/* ******************************** */
void pteElement::SetAtomicNumber(CString data)
{
	AtomicNumber = data;
}

void pteElement::SetAtomicWeight(CString data)
{
	AtomicWeight = data;
}

void pteElement::SetGroupNumber(CString data)
{
	GroupNumber = data;
}

void pteElement::SetGroupName(CString data)
{
	GroupName = data;
}

void pteElement::SetPeriod(CString data)
{
	Period = data;
}

void pteElement::SetBlock(CString data)
{
	Block = data;
}

void pteElement::SetCASRegistryID(CString data)
{
	CASRegistryID = data;
}

void pteElement::SetElementName(CString data)
{
	ElementName = data;
}

void pteElement::SetElementSymbol(CString data)
{
	ElementSymbol = data;
}

void pteElement::SetDiscoveryDate(CString data)
{
	DiscoveryDate = data;
}

void pteElement::SetDiscovererName(CString data)
{
	DiscovererName = data;
}

void pteElement::SetRow(CString data)
{
	Row = atoi(data);
}

void pteElement::SetColumn(CString data)
{
	Column = atoi(data);
}


/* ******************************** */
/* Build the element's rectangles   */
/* ******************************** */
void pteElement::BuildRect(int cellwidth)
{
	ElementArea.left   = (cellwidth * Column) - cellwidth;
	ElementArea.top    = (cellwidth * Row)    - cellwidth;
	ElementArea.right  =  cellwidth * Column;
	ElementArea.bottom =  cellwidth * Row;
}


/* ******************************** */
/* Get a pointer to the rect        */
/* ******************************** */
CRect* pteElement::GetRect()
{
	return &ElementArea;
}


/* ******************************** */
/* Check to see if element was hit  */
/* ******************************** */
BOOL pteElement::CheckHit(CPoint p)
{
	return(ElementArea.PtInRect(p));
}


/* ******************************** */
/* Element GET methods              */
/* ******************************** */
CString pteElement::GetAtomicNumber()
{
	return AtomicNumber;
}

CString pteElement::GetAtomicWeight()
{
	return AtomicWeight;
}

CString pteElement::GetGroupNumber()
{
	return GroupNumber;
}

CString pteElement::GetGroupName()
{
	return GroupName;
}

CString pteElement::GetPeriod()
{
	return Period;
}

CString pteElement::GetBlock()
{
	return Block;
}

CString pteElement::GetCASRegistryID()
{
	return CASRegistryID;
}

CString pteElement::GetElementName()
{
	return ElementName;
}

CString pteElement::GetElementSymbol()
{
	return ElementSymbol;
}

CString pteElement::GetDiscoveryDate()
{
	return DiscoveryDate;
}

CString pteElement::GetDiscovererName()
{
	return DiscovererName;
}

int pteElement::GetRow()
{
	return Row;
}

int pteElement::GetColumn()
{
	return Column;
}
