#ifndef __PTETABLE_H__
#define __PTETABLE_H__
#include "pteElement.h"
#include <afxdb.h>

#define NUM_ELEMENTS 118
#define NUM_GROUPS   10  

class pteTable 
{
	public:
		           pteTable::pteTable();
		           ~pteTable();
		void       pteTable::InitElements();
		void       pteTable::InitGroups();
		void       pteTable::Draw(CPaintDC*, int);
		int        pteTable::FindElement(CPoint);
		pteElement pteTable::GetElement(int);
		COLORREF   pteTable::GetGroupBGColor(int);
		void       pteTable::SetGroupBGColor(int, COLORREF);
		int        pteTable::GetCellWidth();
		void       pteTable::SetCellWidth(int);
		void       pteTable::SetFontFace(CString);
		CString    pteTable::GetFontFace();
		void       pteTable::SetFontSize(int);
		int        pteTable::GetFontSize();
		int        pteTable::GetAtomicNumberXOffset();
		int        pteTable::GetAtomicNumberYOffset();
		int        pteTable::GetAtomicSymbolXOffset();
		int        pteTable::GetAtomicSymbolYOffset();
		int        pteTable::GetRow(int);
		int        pteTable::GetColumn(int);
		CString    pteTable::GetAtomicNumber(int);
		CString    pteTable::GetAtomicSymbol(int);
		CString    pteTable::GetElementName(int);
		CString    pteTable::GetGroup(int);
        void       pteTable::SetCurrentElement(int);
		void	   pteTable::BuildUpdateRegion(CDialog*, int, int);
		void	   pteTable::BuildUpdateRegion(CDialog*, int);
		void       pteTable::BuildElementRects();

	protected:
		pteElement Elements[NUM_ELEMENTS];
		int        CellWidth;
		int        AtomicNumberXOffset;
		int        AtomicNumberYOffset;
		int        AtomicSymbolXOffset;
		int        AtomicSymbolYOffset;
		int        CurrentElement;
		COLORREF   GroupBGColors[NUM_GROUPS];
		int        FontSize;
		CString	   FontFace;
};


#endif //__PTETABLE_H__